# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/SearchDep.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(libusb-1.0)
# END SourceDeps(oneline)
%define module_name Alien-LibUSB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4
Release: alt2
Summary: Perl distribution for LibUSB
Group: Development/Perl
License: perl
URL: https://github.com/athreef/Alien-LibUSB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHREEF/%{module_name}-%{version}.tar.gz

%description
libusb-1.0 is a C library that provides generic access to USB devices. It is intended to be used by developers to facilitate the production of applications that communicate with USB hardware.

This module is based on the Alien::LibUSBx manpage by Henrik Brix Andersen, but fetches the source of the latest release on the libusb Github repository.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CHANGES
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.4-alt2
- rebuild with perl 5.34.0

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1
- initial import by package builder

